Skip to content

updateQuoteStatus

WRITE

Update quote status.

POST /api/v1/sales/updateQuoteStatus
curl -X POST '<your-host>/api/v1/sales/updateQuoteStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Draft",
    "assignee": "string"
  }'

Parameters

ParameterType
"Draft""Sent""Ordered""Partial""Lost""Cancelled""Expired"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Sent",
        "Ordered",
        "Partial",
        "Lost",
        "Cancelled",
        "Expired"
      ]
    },
    "assignee": {
      "type": "null"
    }
  },
  "required": [
    "id",
    "status",
    "assignee"
  ]
}